	import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import javax.swing.JButton;
import javax.swing.JFrame;
	
public class DrawMarketLoad extends JFrame { 

	int OFFSET = 50;
	int POINT_SIZE = 5;
	int x, y, previousX, previousY = OFFSET;
	int SIZE_FACTOR = 2;
    int scaleX = 1;
    int scaleY = 1;
    int x0 = 0;
    int y0 = 0;
    

	   // ***********************************************************
	   //  Constructor
	   // ***********************************************************
   public DrawMarketLoad(ControlBoard controlBoardFrame, OrderPlayersList orderPlayersList, Log appLog)  {
	   super("Load Chart (Order Execution Report part - rejected orders or failed attempts not counted)");
       //super.setBackground(Color.lightGray);
	   this.setBounds(1020,150,900,800);
       setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       this.setLayout(null);
       this.setVisible(true);
       
       DrawMarketLoadJPanel drawMarketLoadJPanel = new DrawMarketLoadJPanel(controlBoardFrame, this, orderPlayersList, appLog);
       this.getContentPane().add(drawMarketLoadJPanel);
       this.setContentPane(drawMarketLoadJPanel);
       drawMarketLoadJPanel.setVisible(true);
              
   }
  
}
