import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class sampleGetPropertyValues {

	String result = "";
	InputStream inputStream;

	public String userName = "";
	public String password = "";
	public String newPassword = "";
	public String userPasswordChange = "";
	public String rabbitHost1 = "";
	public String rabbitHost2 = "";
	public String rabbitVHost = "";
	public int rabbitPort = 0;
	public String certPassword = "";
	public String certPath = "";  
	public String applicationID = "";
	public String orderGeneration = "false";
	public String marketAnimation = "false";
	public String fillEmptyOrderBooks = "false";
	public int nbOfOrders = 0; 
	public String orderGenerationIntervalMillisec = "";
	public String randomIntervalBetweenOrders = "";
	public int nbOfOrdersPerBasket = 1;
	public  String basketListExecInst = "NONE";
	public String throttlingActivated = "";
	public String disconnectAction = "NO";
	public String throttlingMemberAction = "";
	public String throttlingUserAction = "";
	public String processBroadcast = "true";
	public String manageOrderBooks = "true";
	public String sentMsgContentEncoding="";
	
	public String adminRetrieveOrdersPastDaysShift = "false";
	public String adminRetrieveOrdersPast = "0";
	public String throttlingStatusReqIntervalMillisec;
	public String sendThrottlingStatusReqAfterEachOrder;
	
	public String privateResponseQueueNameSuffix = "";
	public String loginReqLoop = "";
	public String logoutsBetweenLogins = "";
	public String waitingTimeBetweenLoginsMillisec = "";
	
	
	public String getPropValues() throws IOException {

		try {
			Properties prop = new Properties();
			String propFileName = "Config.properties";
			inputStream = new FileInputStream(propFileName);

			if (inputStream != null) {
				prop.load(inputStream);
			} else {
				throw new FileNotFoundException("property file '" + propFileName + "' not found in the project folder");
			}

			// get the property value and print it out
			userName = prop.getProperty("userName");
			password = prop.getProperty("password");

			userPasswordChange = prop.getProperty("userPasswordChange");
			newPassword = prop.getProperty("newPassword");
			
			rabbitHost1 = prop.getProperty("rabbitHost1");
			rabbitHost2 = prop.getProperty("rabbitHost2");
			rabbitVHost = prop.getProperty("rabbitVHost");
			rabbitPort =  Integer.parseInt(prop.getProperty("rabbitPort"));
			certPassword = prop.getProperty("certPassword");
			certPath = prop.getProperty("certPath");
			applicationID = prop.getProperty("applicationID");
			
			processBroadcast = prop.getProperty("processBroadcast"); 
			manageOrderBooks = prop.getProperty("manageOrderBooks");
			sentMsgContentEncoding = prop.getProperty("sentMsgContentEncoding");
			adminRetrieveOrdersPastDaysShift = prop.getProperty("adminRetrieveOrdersPastDaysShift");
			adminRetrieveOrdersPast = prop.getProperty("adminRetrieveOrdersPast");
			orderGeneration = prop.getProperty("orderGeneration");
			marketAnimation = prop.getProperty("marketAnimation");
			fillEmptyOrderBooks = prop.getProperty("fillEmptyOrderBooks");
			nbOfOrders = Integer.parseInt(prop.getProperty("nbOfOrders"));
			orderGenerationIntervalMillisec = prop.getProperty("orderGenerationIntervalMillisec");
			if (orderGenerationIntervalMillisec == null) orderGenerationIntervalMillisec = "1000";
			
			randomIntervalBetweenOrders = prop.getProperty("randomIntervalBetweenOrders");
			if (randomIntervalBetweenOrders == null) randomIntervalBetweenOrders = "false";
			
			nbOfOrdersPerBasket = Integer.parseInt(prop.getProperty("nbOfOrdersPerBasket"));	
			basketListExecInst = prop.getProperty("basketListExecInst");
			
			throttlingActivated = prop.getProperty("throttlingActivated");
			throttlingStatusReqIntervalMillisec = prop.getProperty("throttlingStatusReqIntervalMillisec");
			sendThrottlingStatusReqAfterEachOrder = prop.getProperty("sendThrottlingStatusReqAfterEachOrder");

			disconnectAction = prop.getProperty("disconnectAction");
			if (disconnectAction == null) disconnectAction = "NO";
			throttlingUserAction = prop.getProperty("throttlingUserAction");
			throttlingMemberAction = prop.getProperty("throttlingMemberAction");
			
			privateResponseQueueNameSuffix = prop.getProperty("privateResponseQueueNameSuffix");
			if (privateResponseQueueNameSuffix == null) privateResponseQueueNameSuffix = "queue1";
			
			loginReqLoop = prop.getProperty("loginReqLoop");
			if (loginReqLoop == null) loginReqLoop = "false";
			
			logoutsBetweenLogins = prop.getProperty("logoutsBetweenLogins");
			if (logoutsBetweenLogins == null) logoutsBetweenLogins = "false";
			
			waitingTimeBetweenLoginsMillisec = prop.getProperty("waitingTimeBetweenLoginsMillisec");
			if (waitingTimeBetweenLoginsMillisec == null) waitingTimeBetweenLoginsMillisec = "1000";

			/*result = "userName = " + userName + ", password=" + password + ", rabbitHost1=" + rabbitHost1;
result = result + ", rabbitVHost="+rabbitVHost + ", certPath=" + certPath +  ", certPassword=" + certPassword  ;
System.out.println(result);*/
		} catch (Exception e) {
			System.out.println("Exception: " + e);
		} finally {
			if (inputStream != null) inputStream.close();

		}
		return result;
	}

}
